/* FONTS */

@font-face {
    font-family: 'Isidora Semibold';
    src: url('/assets/fontes/IsidoraSansAlt-SemiBold.ttf');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Isidora Light';
    src: url('/assets/fontes/IsidoraSansAlt-Light.ttf');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Isidora Bold';
    src: url('/assets/fontes/IsidoraSansAlt-Black\ \(1\).ttf');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Isidora Bold Italic';
    src: url('/assets/fontes/IsidoraSansAlt-BoldItalic\ \(1\).ttf');
    font-weight: normal;
    font-style: normal;
}

body {
    font-family: 'Isidora Semibold';
    margin: 0;
    padding: 0;
    background-color: #f3e9e0;
    color: #74380d;
}

.header {
    background-color: #7089b4;
    padding: 20px;
    text-align: center;
    color: #fff;
}

.header h1 {
    margin: 0;
    font-size: 36px;
}

.banner {
    background-image: url('/assets/img/banner/banner-5.png');
    background-size: cover;
    background-position: center;
    width: 100%;
    min-height: 200px;
    /* Altura mínima para telas pequenas */
    height: 87vh;
    /* 60% da altura da tela */
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-size: 4vw;
    /* Ajusta automaticamente com a largura da tela */
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
    text-align: center;
}

@media (max-width: 1024px) {
    .banner {
        height: 40vh;
        /* Ajuste para tablets */
        font-size: 5vw;
        /* Texto proporcional */
    }
}


/* Ajuste para telas menores */

@media (max-width: 768px) {
    .banner {
        height: 40vh;
        /* Reduz a altura em telas menores */
        font-size: 6vw;
        /* Fonte maior para compensar */
    }
}


/* Ajuste para celulares */

@media (max-width: 480px) {
    .banner {
        height: 30vh;
        /* Menor altura para celulares */
        font-size: 8vw;
        /* Texto maior proporcionalmente */
    }
}

.menu {
    display: flex;
    justify-content: center;
    background-color: #74380d;
    padding: 10px;
}

.menu a {
    color: #fff;
    text-decoration: none;
    padding: 14px 20px;
    margin: 0 10px;
    font-size: 18px;
    transition: background-color 0.3s;
    font-family: 'Isidora Bold';
}

.menu a:hover {
    background-color: #7089b4;
}

.products {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    padding: 20px;
}

.product {
    background-color: #fff;
    width: 380px;
    margin: 10px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    text-align: center;
    padding: 15px;
    position: relative;
}

.product img {
    max-width: 100%;
    border-radius: 8px;
}

.product h3 {
    color: #74380d;
    font-family: 'Isidora Bold';
}

.product p {
    font-size: 14px;
    color: #333;
}

.product .price {
    font-size: 22px;
    font-weight: bold;
    color: #74380d;
    font-family: 'Isidora Bold';
}

.price {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.old-price {
    text-decoration: line-through;
    color: #a0a0a0;
    font-size: 15px;
}

.new-price {
    font-size: 22px;
    font-weight: bold;
    color: #74380d;
    font-family: 'Isidora Bold';
    margin: 2px 0;
}

.btn-reserva {
    background-color: #7089b4;
    color: #fff;
    padding: 10px;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    margin-top: 10px;
    font-family: 'Isidora Bold';
    font-size: 15px;
}

.btn-reserva:hover {
    background-color: #74380d;
}


/* Modal - Estilos */

.modal {
    display: none;
    /* Escondido por padrão */
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.4);
    /* Cor de fundo */
    padding-top: -30px;
}

.modal-content {
    background-color: #fefefe;
    margin: 5% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 500px;
    text-align: center;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

#detalhesProduto img {
    max-width: 60%;
    border-radius: 8px;
}

#precoProduto {
    font-size: 20px;
    font-weight: bold;
    color: #74380d;
    font-family: 'Isidora Bold';
}

#iframePagamento {
    border: none;
    margin-top: 20px;
    margin-bottom: 20px;
}

.btn-reserva {
    background-color: #7089b4;
    color: #fff;
    padding: 10px;
    border: none;
    cursor: pointer;
    border-radius: 5px;
    margin-top: 10px;
    font-family: 'Isidora Bold';
    font-size: 15px;
}

.logo-moca {
    position: absolute;
    right: -5px;
    bottom: 213px;
    width: 117px;
    height: auto;
    opacity: 1;
}

.footer {
    background-color: #7089b4;
    text-align: center;
    padding: 20px;
}

.copy {
    color: #fff;
    text-align: center;
    font-size: 16px;
}

.designed {
    font-size: 14px;
    color: #fff;
}